<?php

return [
    /*
    |------------------------------------------------------------------------------------------------
    | Proxy for read/write operations
    |
    | Note: define store and connections in cache.php, database.php
    | You can define as many stores or connections you want. eg. if you have the default
    | cache but you also have a cache for balance then you can define them as
    | 'cache' => [
    |    'stores' => [
    |        'default' => [
    |            'default' => env('CACHE_MASTER_STORE', 'redis'),
    |            'read' => env('CACHE_SLAVE_STORE', 'redis')
    |        ],
    |        \App\Enums\CacheConnectionEnum::BALANCE_STORE => [
    |            'default' => env('CACHE_BALANCE_MASTER_STORE', \App\Enums\CacheConnectionEnum::BALANCE_STORE),
    |            'read' => env('CACHE_BALANCE_SLAVE_STORE', \App\Enums\CacheConnectionEnum::BALANCE_STORE)
    |        ]
    |    ]
    ] same applies for the redis connections
    |-------------------------------------------------------------------------------------------------
    |
    */

    'cache' => [
        'stores' => [
            'redis' => [
                'default' => env('CACHE_MASTER_STORE', 'redis'),
                'read' => env('CACHE_SLAVE_STORE', 'redis_read')
            ]
        ]
    ],
    'redis' => [
        'connections' => [
            'default' => [
                'default' => env('REDIS_MASTER_CONNECTION', 'default'),
                'read' => env('REDIS_SLAVE_CONNECTION', 'redis_read')
            ]
        ]
    ],
    'seconds_sleep_until_next_reconnect' => env('SECONDS_SLEEP_UNTIL_NEXT_RECONNECT', 1)
];
